The functional needs are broadly grouped into the following main areas:
\begin{itemize}
\item Insertion of data into the database
\item Extraction of data from the database
\item Visualization of data in the database
\item Specific use cases
\end{itemize}

Section~\ref{sec:details} will describe in detail the tables or views, whether existing or new, and what data they will hold.

Section~\ref{sec:requirements} will describe the requirements for loading, extracting, validation, and visualization.

Section~\ref{sec:usecases} summarizes use cases.

Section~\ref{sec:status} summarizes the state of the art.
